#!/bin/sh

export QTDIR=/opt/qte
export OPIEDIR=/opt/opie
export LD_LIBRARY_PATH=$OPIEDIR/lib:$QTDIR/lib
export PATH=$OPIEDIR/bin:$PATH


export QWS_MOUSE_PROTO="USB:/dev/mice TPanel"
#export QWS_MOUSE_PROTO=USB:/dev/mice
#export QWS_MOUSE_PROTO="TPanel"

AC97DIR="/sys/devices/platform/pxa2xx-ac97/0-0:UCB1400"

if [ -d $AC97DIR ]; then
TSDEV=`find $AC97DIR -name "input:e*" | tail -c 7`
fi

if [ -n "$TSDEV" ]; then 
export TSLIB_TSDEVICE="/dev/$TSDEV"
fi

export TSLIB_CONSOLEDEVICE=none
export TSLIB_CONFFILE=/etc/ts.conf
export TSLIB_PLUGINDIR=$QTDIR/lib/ts

export HOME=/root

chvt 7

if ! [ -f /etc/pointercal ]; then
ts_calibrate
fi

qpe 2> /var/log/opie.err > /var/log/opie.log &

